
function [fire, transition] = COMMON_PRE(transition)

switch transition.name
    case 'tC1'   % conveyor belt "C1" required
        granted = requestSR({'C1',1}); 
    case 'tC2'   % conveyor belt "C2" required
        granted = requestSR({'C2',1}); 
    case 'tC1M1' % robot "R1" required
        granted = requestSR({'R1',1}); 
    case 'tC2M2' % robot "R2" required
        granted = requestSR({'R2',1});         
    case 'tM1'   % machine "M1" required
        granted = requestSR({'M1',1}); 
    case 'tM2'   % machine "M2" required
        granted = requestSR({'M2',1});        
    case 'tM1AS' % assembly station "AS" required
        granted = requestSR({'AS',1});         
    case 'tM2AS' % assembly station "AS" required
        granted = requestSR({'AS',1});         
    case 'tAS'   % robot "R3" required
        granted = requestSR({'R3',1});         
    case {'tAP','tPCK'}    % nothing is required
        granted = true;
    case 'tPS'  % painting robot "R4" required
        granted = requestSR({'R4',1}); 
    otherwise
        error('Cant come here');
end % switch 
fire = granted; % fire if the required resource is granted 
