
% AOPN model of FMS
% MSF: 'fms_AOPN.m'
global global_info
global_info.STOP_AT = 300;

% PDF file
pns = pnstruct('fms_AOPN_pdf');

% initial markings
dp.m0 = {'pIB1',3,'pIB2',3};

% firing times
dp.ft = {'tC1',10,'tC2',10,'tM1',5,'tM2',10,...
     'tAS',7,'tPS',8,'tPCK',3,'allothers',2}; 

% declaration of resources
dp.re = {'C1',1,inf,'C2',1,inf,...
    'M1',1,inf,'M2',1,inf,...
    'AS',2,inf,...% NOTE: 2 instances, for tM1AS & tM2AS
    'R1',1,inf,'R2',1,inf,'R3',1,inf,'R4',1,inf};

% combine the static and the intial dynamics
pni = initialdynamics(pns, dp);

% run the simulations
sim = gpensim(pni);

% plot and print results
plotp(sim, {'pOB'});
prnschedule(sim); % print resource usuage
plotGC(sim);      % plot resource usuage
