% file: fms_AOPN_pdf.m: PDF 
function [png] = fms_AOPN_pdf() 

% name or label fo the model
png.PN_name  = 'AOPN model of a FMS';

% set of places
png.set_of_Ps = {...
    'pIB1','pIB2', 'pOB',...        % input and output buffers
    'poC1','poC2','piM1','piM2',... % intermediate buffers
    'poM1','poM2','pAS1','pAS2',... % intermediate buffers
    'poAS', 'piPS', 'piCK'};  % intermediate buffers

% set of transitions
png.set_of_Ts = {'tC1','tC2','tC1M1','tC2M2','tM1','tM2',...
    'tM1AS','tM2AS', 'tAS', 'tAP', 'tPS', 'tPCK'}; 

% set of arcs
png.set_of_As = {...
    'pIB1','tC1',1, 'tC1','poC1',1, ...     % tC1
    'poC1','tC1M1',1, 'tC1M1','piM1',1, ... % tC1M1 
    'piM1','tM1',1, 'tM1','poM1',1,...      % tM1
    'poM1','tM1AS',1, 'tM1AS','pAS1',1,...  % tM1AS 
    'pIB2','tC2',1, 'tC2','poC2',1, ...     % tC2
    'poC2','tC2M2',1, 'tC2M2','piM2',1,...  % tC2M2
    'piM2','tM2',1, 'tM2','poM2',1,...      % tM2
    'poM2','tM2AS',1, 'tM2AS','pAS2',1,...  % tM2AS 
    'pAS1','tAS',1,'pAS2','tAS',1,'tAS','poAS',1,... % tAS 
    'poAS','tAP',1, 'tAP','piPS',1,...      % tAP
    'piPS','tPS',1, 'tPS','piCK',1, ...     % tPS
    'piCK','tPCK',1, 'tPCK','pOB',1};       % tPCK
